## org.hibernate.testing.jta
Class TestingJtaBootstrap

    java.lang.Object
      org.hibernate.testing.jta.TestingJtaBootstrap

    public class TestingJtaBootstrap

extends Object

Manages the `TransactionManager`, `UserTransaction` and `TestingJtaBootstrap.JtaAwareDataSource` instances used for testing.

Nested Class Summary
`static class` `TestingJtaBootstrap.JtaAwareDataSource`
`static class` `TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider`
`static class` `TestingJtaBootstrap.TestingJtaPlatformImpl`

Field Summary
`static TestingJtaBootstrap` `INSTANCE`

Method Summary
`DataSource` `getDataSource()`
`TransactionManager` `getTransactionManager()`
`static void` `prepare(Map configValues)`
`static void` `tryCommit()` Used by envers...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TestingJtaBootstrap INSTANCE

Method Detail

### getTransactionManager

    public TransactionManager getTransactionManager()

### getDataSource

    public DataSource getDataSource()

### prepare

    public static void prepare(Map configValues)

### tryCommit

    public static void tryCommit()
                          throws Exception

  Used by envers...

  Throws:
    `Exception`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.